오케스트레이션 엔진을 통해 집계된 비용 및 토큰 사용량 데이터를 반환합니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
GET /api/v1/projects/{id}/ 비용/ 대시보드
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/cost/dashboard' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"by_model": [
{
"call_count": 42,
"model": "string",
"percentage": 42.0,
"total_cost_usd": 42.0,
"total_tokens": 42
}
],
"by_workspace": [
{
"call_count": 42,
"percentage": 42.0,
"total_cost_usd": 42.0,
"total_tokens": 42,
"workspace_id": "string"
}
],
"daily_trend": [
{
"call_count": 42,
"date": "string",
"total_cost_usd": 42.0,
"total_tokens": 42
}
],
"success": true,
"summary": {
"total_completion_tokens": 42,
"total_cost_usd": 42.0,
"total_llm_calls": 42,
"total_prompt_tokens": 42,
"total_tokens": 42,
"unpriced_llm_calls": 42
}
}
응답 예시(200)
{
"by_model": [
{
"call_count": 42,
"model": "string",
"percentage": 42.0,
"total_cost_usd": 42.0,
"total_tokens": 42
}
],
"by_workspace": [
{
"call_count": 42,
"percentage": 42.0,
"total_cost_usd": 42.0,
"total_tokens": 42,
"workspace_id": "string"
}
],
"daily_trend": [
{
"call_count": 42,
"date": "string",
"total_cost_usd": 42.0,
"total_tokens": 42
}
],
"success": true,
"summary": {
"total_completion_tokens": 42,
"total_cost_usd": 42.0,
"total_llm_calls": 42,
"total_prompt_tokens": 42,
"total_tokens": 42,
"unpriced_llm_calls": 42
}
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}